{"openapi":"3.1.0","info":{"title":"NAIS API","version":"1.0.0","description":"국가과학AI연구센터 공개 API. 1단계는 ADME/Tox 예측. 예측은 기관 내부 장비에서 계산되며 입력 구조는 기관 밖으로 나가지 않습니다. 요청 본문(SMILES)은 기록하지 않습니다."},"servers":[{"url":"https://api.nais.re.kr"}],"security":[{"bearer":[]}],"paths":{"/v1/admet/predictions":{"post":{"summary":"분자 하나의 ADME/Tox 성질 예측","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["smiles"],"additionalProperties":false,"properties":{"smiles":{"type":"string","maxLength":1000,"examples":["CC(=O)OC1=CC=CC=C1C(=O)O"]}}}}}},"responses":{"200":{"description":"예측 결과. 믿을 수 없는 항목(R² ≤ 0)은 hidden=true, value=null.","headers":{"X-Daily-Limit":{"schema":{"type":"integer"}},"X-Daily-Remaining":{"schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Prediction"}}}},"400":{"description":"잘못된 요청 · 읽을 수 없는 SMILES","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"API 키가 없거나 쓸 수 없음","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"분당 · 하루 한도 초과","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"503":{"description":"예측 서비스가 바쁘거나 준비 중","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}},"/v1/admet/properties":{"get":{"summary":"예측하는 성질 목록과 성능 수치","responses":{"200":{"description":"성질 목록"},"401":{"description":"API 키가 없거나 쓸 수 없음","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}},"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","description":"포털에서 발급한 API 키(nais_…)"}},"schemas":{"Error":{"type":"object","required":["error"],"properties":{"error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["unauthorized","invalid_json","invalid_request","smiles_blank","smiles_too_long","invalid_smiles","rate_limited","daily_limit_reached","busy","model_not_ready","disabled","unavailable","not_found"]},"message":{"type":"string"}}}}},"Prediction":{"type":"object","properties":{"smiles":{"type":"string"},"elapsed_ms":{"type":"integer"},"properties":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"category":{"type":"string"},"category_label":{"type":"string"},"units":{"type":["string","null"]},"task_type":{"type":"string"},"value":{"type":["number","null"]},"percentile":{"type":["number","null"]},"reliability":{"type":"string","enum":["computed","high","medium","low","unusable"]},"auroc":{"type":["number","null"]},"r2":{"type":["number","null"]},"hidden":{"type":"boolean"}}}},"hidden":{"type":"array","items":{"type":"object"}},"counts":{"type":"object"}}}}}}